Package org.wso2.carbon.viewflows.stub.types

## Class PhaseOrderData

- java.lang.Object
- - org.wso2.carbon.viewflows.stub.types.PhaseOrderData

- All Implemented Interfaces:
    `Serializable`, `org.apache.axis2.databinding.ADBBean`

      public class PhaseOrderData
      extends Object
      implements org.apache.axis2.databinding.ADBBean

  PhaseOrderData bean class
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `PhaseOrderData.Factory` | Factory class that keeps the parse method

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected PhaseData[]` | `localPhases` | field for Phases This was an Array!
    `protected boolean` | `localPhasesTracker` |
    `protected String` | `localType` | field for Type
    `protected boolean` | `localTypeTracker` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PhaseOrderData()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addPhases​(PhaseData param)` | Auto generated add method for the array for convenience
    `org.apache.axiom.om.OMElement` | `getOMElement​(QName parentQName, org.apache.axiom.om.OMFactory factory)` |
    `PhaseData[]` | `getPhases()` | Auto generated getter method
    `XMLStreamReader` | `getPullParser​(QName qName)` | databinding method to get an XML representation of this object
    `String` | `getType()` | Auto generated getter method
    `boolean` | `isPhasesSpecified()` |
    `boolean` | `isTypeSpecified()` |
    `void` | `serialize​(QName parentQName, XMLStreamWriter xmlWriter)` |
    `void` | `serialize​(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)` |
    `void` | `setPhases​(PhaseData[] param)` | Auto generated setter method
    `void` | `setType​(String param)` | Auto generated setter method
    `protected void` | `validatePhases​(PhaseData[] param)` | validate the array for Phases

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### localPhases

          protected PhaseData[] localPhases

      field for Phases This was an Array!

    - #### localPhasesTracker

          protected boolean localPhasesTracker

    - #### localType

          protected String localType

      field for Type

    - #### localTypeTracker

          protected boolean localTypeTracker

  - ### Constructor Detail

    - #### PhaseOrderData

          public PhaseOrderData()

  - ### Method Detail

    - #### isPhasesSpecified

          public boolean isPhasesSpecified()

    - #### getPhases

          public PhaseData[] getPhases()

      Auto generated getter method
      Returns:
        org.wso2.carbon.viewflows.stub.types.PhaseData[]

    - #### validatePhases

          protected void validatePhases​(PhaseData[] param)

      validate the array for Phases

    - #### setPhases

          public void setPhases​(PhaseData[] param)

      Auto generated setter method
      Parameters:
        `param` - Phases

    - #### addPhases

          public void addPhases​(PhaseData param)

      Auto generated add method for the array for convenience
      Parameters:
        `param` - org.wso2.carbon.viewflows.stub.types.PhaseData

    - #### isTypeSpecified

          public boolean isTypeSpecified()

    - #### getType

          public String getType()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setType

          public void setType​(String param)

      Auto generated setter method
      Parameters:
        `param` - Type

    - #### getOMElement

          public org.apache.axiom.om.OMElement getOMElement​(QName parentQName,
                                                            org.apache.axiom.om.OMFactory factory)
                                                     throws org.apache.axis2.databinding.ADBException

      Specified by:
        `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
      Parameters:
        `parentQName` -
        `factory` -
      Returns:
        org.apache.axiom.om.OMElement
      Throws:
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize​(QName parentQName,
                                XMLStreamWriter xmlWriter)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize​(QName parentQName,
                                XMLStreamWriter xmlWriter,
                                boolean serializeType)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### getPullParser

          public XMLStreamReader getPullParser​(QName qName)
                                        throws org.apache.axis2.databinding.ADBException

      databinding method to get an XML representation of this object
      Specified by:
        `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `org.apache.axis2.databinding.ADBException`